﻿using System;
using System.Windows;
using Telerik.Windows.Controls;

namespace TabControl_SL_TemplateSelector
{
	public class ItemTemplateSelector : DataTemplateSelector
	{
		public DataTemplate LinkTemplate { get; set; }

		public DataTemplate NormalTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if ((item as TabItemModel).IsLink)
			{
				return this.LinkTemplate;
			}
			return this.NormalTemplate;
		}
	}
}