﻿using System;
using System.Collections.ObjectModel;

namespace TabControl_SL_TemplateSelector
{
	public class MainViewModel
	{
		public MainViewModel()
		{
			this.Tabs = new ObservableCollection<TabItemModel>();
			this.GenerateSampleData();
		}

		public ObservableCollection<TabItemModel> Tabs { get; set; }

		private void GenerateSampleData()
		{
			this.Tabs.Add(new TabItemModel()
			{
				Header = "Item 1",
				IsLink = false
			});
			this.Tabs.Add(new TabItemModel()
			{
				Hyperlink = "www.bing.com",
				IsLink = true
			});
		}
	}
}